//A single header library I use for miscellaneous functions or macros

//Yay obnoxious hacks; this is basically the same function, 
//but differently named between compilers
#if defined(_WIN32) || defined(_WIN64)
#define strtok_r strtok_s
#endif

//why include math.h when you can just take the one macro you need:
#define PI (3.141592653589793)

//and why deal with functions when you can just
#define degreesToRadians(angleDegrees) (angleDegrees * PI / 180.0)
#define radiansToDegrees(angleRadians) (angleRadians * 180.0 / PI)

float RandomFloat(float a, float b) {
  float random = ((float) rand()) / (float) RAND_MAX;
  float diff = b - a;
  float r = random * diff;
  return a + r;
}

//Compare strings, ignoring case for alphas; return 1 if equal, 0 if not
int strcmpAny(char const *s1, char const *s2)
{
  int dif = 'a' - 'A';
  while(*s1!='\0' && *s2!= '\0')
  {
    if(*s1==*s2)
    {
      s1++;
      s2++;
    }
    else
    {
      if(*s2 > 'Z')
      {
        if((*s2 - dif) != *s1)
          return 0;
      }
      else
        if((*s2 + dif) != *s1)
          return 0;
      s1++;
      s2++;
    }  
  }
  return (*s1 == '\0' && *s2 == '\0');
}